import request from '@/utils/request'
//值班安排

// 查询【本周值班】列表
export function listDuty(query) {
  return request({
    url: '/system/duty/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getDuty(id) {
  return request({
    url: '/system/duty/' + id,
    method: 'get'
  })
}

// 新增【值班】
export function addDuty(data) {
  return request({
    url: '/system/duty',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateDuty(data) {
  return request({
    url: '/system/duty',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delDuty(id) {
  return request({
    url: '/system/duty/' + id,
    method: 'delete'
  })
}

//查询当前月份安排
export function selMonth(query) {
  return request({
    url: '/system/duty/selMonth/',
    method: 'get',
    params: query
  })
}
//查询日期
export function listTime(query) {
  console.log(query)
  console.log("asdasd")
  return request({
    url: '/system/duty/listTime/',
    method: 'get',
    params: query
  })
}

// 下载用户导入模板
export function importTemplate() {
  return request({
    url: '/system/duty/importTemplate',
    method: 'get'
  })
}

//导出
export function exporDuty(query) {
  return request({
    url: '/system/duty/export',
    method: 'get',
    params: query
  })
}
